#ifndef SOCKCONTROL_HH
#define SOCKCONTROL_HH
#include <click/element.hh>
#include <elements/userlevel/todevice.hh>
CLICK_DECLS

/*
 * =c
 * SockControl(ToDevice)
 * =s userlevel
 * sets/gets socket options of a ToDevice element
 */

class SockControl : public Element { protected:
 public:

  SockControl() {}
  ~SockControl() {}

  const char *class_name() const		{ return "SockControl"; }
  int configure(Vector<String> &, ErrorHandler *);

  void add_handlers();
  int fd() { return todev->fd(); }
 protected:
  ToDevice *todev; 
};

CLICK_ENDDECLS
#endif
